Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig
Class ArtifactEditJSFAppConfigProvider

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
          org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.ArtifactEditJSFAppConfigProvider

All Implemented Interfaces:
  IJSFAppConfigProvider

public class ArtifactEditJSFAppConfigProvider
extends AbstractJSFAppConfigProvider

ArtifactEditJSFAppConfigProvider uses FacesConfigArtifactEdit to provide the root element of an application configuration model.

Field Summary
`protected org.eclipse.core.resources.IFile` | `appConfigFile` IFile instance that represents an application configuration resource file.
`protected FacesConfigType` | `facesConfig` Cached `FacesConfigType` instance.
`protected FacesConfigArtifactEdit` | `facesConfigArtifactEdit` FacesConfigArtifactEdit instance used to get the application configuration model.

Fields inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
`jsfAppConfigLocater`

Constructor Summary
`ArtifactEditJSFAppConfigProvider(org.eclipse.core.resources.IFile appConfigFile)` Creates an instance, storing the passed IFile instance for subsequent processing.

Method Summary
`boolean` | `equals(java.lang.Object otherObject)`
`protected void` | `finalize()`
`FacesConfigType` | `getFacesConfigModel()` Gets the root element of the application configuration model for read access.
`int` | `hashCode()`
`void` | `releaseFacesConfigModel()` Releases resources associated with acquiring the application configuration model (if any).
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
`setJSFAppConfigLocater`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### appConfigFile

    protected org.eclipse.core.resources.IFile appConfigFile

  IFile instance that represents an application configuration resource file.

### facesConfigArtifactEdit

    protected FacesConfigArtifactEdit facesConfigArtifactEdit

  FacesConfigArtifactEdit instance used to get the application configuration model.

### facesConfig

    protected FacesConfigType facesConfig

  Cached `FacesConfigType` instance.

Constructor Detail

### ArtifactEditJSFAppConfigProvider

    public ArtifactEditJSFAppConfigProvider(org.eclipse.core.resources.IFile appConfigFile)

  Creates an instance, storing the passed IFile instance for subsequent processing.

Parameters:
  `appConfigFile` - IFile instance that represents an application configuration resource file

Method Detail

### getFacesConfigModel

    public FacesConfigType getFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Gets the root element of the application configuration model for read access.

  Specified by:
    `getFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `getFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### releaseFacesConfigModel

    public void releaseFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Releases resources associated with acquiring the application configuration model (if any).

  Specified by:
    `releaseFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `releaseFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### equals

    public boolean equals(java.lang.Object otherObject)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

### finalize

    protected void finalize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD